blaze-markup-0.8.3.0: A blazingly fast markup combinator library for Haskell

Safe Haskell | None
Language | Haskell2010

Text.Blaze.Renderer.Pretty

Description

A renderer that produces pretty HTML, mostly meant for debugging purposes.

Synopsis

- renderMarkup :: Markup -> String
- renderHtml :: Markup -> String

# Documentation

renderMarkup :: Markup -> String Source #

Render markup to a lazy `String`. The result is prettified.

renderHtml :: Markup -> String Source #

Deprecated: Use renderHtml from Text.Blaze.Html.Renderer.Pretty instead